%define upstream_name Test-YAML
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    3

Summary:    Testing Module for YAML Implementations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Base) >= 0.740.0
BuildRequires: perl-devel
BuildArch:  noarch

%description
Test::YAML is a subclass of Test::Base with YAML specific support.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/test-yaml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jan 28 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.50.0-3
+ Revision: a155591
- Added perl-devel BR


